JavaScript
import Hyperspell from '@hyperspell/hyperspell';
const client = new Hyperspell({
apiKey: process.env['HYPERSPELL_API_KEY'], // This is the default and can be omitted
});
const response = await client.integrations.connect('integration_id');
console.log(response.expires_at);import os
from hyperspell import Hyperspell
client = Hyperspell(
api_key=os.environ.get("HYPERSPELL_API_KEY"), # This is the default and can be omitted
)
response = client.integrations.connect(
integration_id="integration_id",
)
print(response.expires_at)package main
import (
"context"
"fmt"
"github.com/hyperspell/hyperspell-go"
"github.com/hyperspell/hyperspell-go/option"
)
func main() {
client := hyperspell.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Integrations.Connect(
context.TODO(),
"integration_id",
hyperspell.IntegrationConnectParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.ExpiresAt)
}hyperspell integrations connect \
--api-key 'My API Key' \
--integration-id integration_idcurl --request GET \
--url https://api.hyperspell.com/integrations/{integration_id}/connect \
--header 'Authorization: Bearer <token>'
{
"url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Integrations
Link an integration
Redirects to the connect URL to link an integration.
GET
/
integrations
/
{integration_id}
/
connect
JavaScript
import Hyperspell from '@hyperspell/hyperspell';
const client = new Hyperspell({
apiKey: process.env['HYPERSPELL_API_KEY'], // This is the default and can be omitted
});
const response = await client.integrations.connect('integration_id');
console.log(response.expires_at);import os
from hyperspell import Hyperspell
client = Hyperspell(
api_key=os.environ.get("HYPERSPELL_API_KEY"), # This is the default and can be omitted
)
response = client.integrations.connect(
integration_id="integration_id",
)
print(response.expires_at)package main
import (
"context"
"fmt"
"github.com/hyperspell/hyperspell-go"
"github.com/hyperspell/hyperspell-go/option"
)
func main() {
client := hyperspell.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Integrations.Connect(
context.TODO(),
"integration_id",
hyperspell.IntegrationConnectParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.ExpiresAt)
}hyperspell integrations connect \
--api-key 'My API Key' \
--integration-id integration_idAuthorizations
APIKeyAsUser
API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.
Path Parameters
Query Parameters
Was this page helpful?
⌘I